Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame

From: martin rudalics <[email-masked]>
Date: Sat, 07 Mar 2015 10:41:57 +0100

> If one of the two is the top window (i.e. the one that's actually
 > visible), then we should use that one,

Detecting whether "one of the two is the top window (i.e. the one that's
actually visible)" requires access to the Z order of windows.  But maybe
I'm missing something all too obvious here.

 > and we should be able to figure
 > it out at the C level (i.e. it should be the one that is in the event
 > structure).

The event structure can only contain what we put into it.  Which window
would you put into this structure after you leave the frame containing
the window where the start event occurred?

 > If not, then it doesn't really matter if we "get it right" or not.

If one frame obscures another, the obscured frame should IMHO not be
considered a valid target.

martin